services:
    opinion.verified_review_factory:
        class: Central\Opinion\Factory\VerifiedReviewApiFactory
        metadata:
            logger_storage_extension.definition_key.logger_name: APP.VERIFIED_REVIEW.DEFINITION_FACTORY
    opinion.ekomi_factory:
        class: Central\Opinion\Factory\EkomiApiFactory
        metadata:
            logger_storage_extension.definition_key.logger_name: APP.EKOMI.DEFINITION_FACTORY
    passerelle.queue:
        class: Central\PasserelleQueue\PasserelleQueue
        metadata:
            logger_storage_extension.definition_key.logger_name: APP.PASSERELLE.QUEUE


factories:
    logger:
        class: Central\Config\Factory\LoggerFactory

    opinion.verified_review_sender:
        class: Central\Config\Factory\VerifiedReviewApiSenderFactory
        metadata:
            logger_storage_extension.definition_key.logger_name: APP.VERIFIED_REVIEW.SENDER

    opinion.decision_manager:
        class: Central\Config\Factory\OpinionDecisionManagerFactory

    opinion.definition_factory:
        class: Central\Config\Factory\DefinitionFactoryFactory

    opinion.sender:
        class: Central\Config\Factory\OpinionSenderCommandFactory

    opinion.ekomi_sender:
        class: Central\Config\Factory\EkomiApiSenderFactory
        metadata:
            logger_storage_extension.definition_key.logger_name: APP.EKOMI.SENDER

    covid.closer:
        class: Central\Config\Factory\CovidCloserFactory

parameters:
    DB_PATH: '%env(DB_HOST)%'
    DB_PASSWORD: '%env(DB_PASSWORD)%'
    SESSION_NAME: 'central'
    DB_SESSION_LOGIN: 'session'
    DB_SESSION_PASS: '%env(DB_PASSWORD)%'
    DB_SESSION_NAME: 'session'
    DB_SESSION_PATH: '%env(DB_HOST)%'
    PASSERELLE_QUEUE_DAYS_BACKUP: 60

    FORCE_SMTP_TRANSPORT: '%env(FORCE_SMTP_TRANSPORT)%'
    SMTP_HOST: '%env(SMTP_HOST)%'
    SMTP_PORT: '%env(SMTP_PORT)%'
    SMTP_SECURE: '%env(SMTP_SECURE)%'
    SMTP_USERNAME: '%env(SMTP_USERNAME)%'
    SMTP_PASSWORD: '%env(SMTP_PASSWORD)%'
    SMTP_USE_INTERN: '%env(SMTP_USE_INTERN)%'
    COVID_USER_AZUR : '%env(COVID_USER_AZUR)%'
    COVID_USER_COMMERCIAL : '%env(COVID_USER_COMMERCIAL)%'

    FILE_BASE_URL : '%env(FILE_BASE_URL)%'

